Cyberduck Mountain Duck CLI

#6339 closed defect (fixed)

RMD the current directory fails on Apache Ftpserver

Reported by: Yaoyao Owned by: dkocher
Priority: normal Milestone: 4.8.3
Component: ftp Version: 4.1.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Hi,

Looks like whenever Cyberduck tries to delete an directory over FTP, it issues the following sequence of commands:

  • CWD /path/to/directory
  • RMD /path/to/directory

And the Apache FTP Server throws an error:

450 Can't remove directory /path/to/directory: resource busy.

and that's because Apache Ftpserver refuses to remove the directory if it happens to be the current directory. This behavior existed since 2008, as per https://issues.apache.org/jira/browse/FTPSERVER-227

Other FTP Clients don't attempt to remove a directory that happens to be the current directory. Can we issue a CDUP command right before the RMD command?

Thanks, Yao

Change History (4)

comment:1 Changed on Nov 2, 2011 at 2:09:50 PM by dkocher

  • Description modified (diff)
  • Resolution set to thirdparty
  • Status changed from new to closed

I think this is an implementation specific issue. There is no reason the last working directory should not be deletable.

comment:2 Changed on Feb 29, 2016 at 7:57:17 AM by dkocher

  • Milestone set to 5.0
  • Resolution thirdparty deleted
  • Status changed from closed to reopened

comment:3 Changed on Feb 29, 2016 at 8:01:36 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r19481.

comment:4 Changed on Mar 7, 2016 at 5:15:48 PM by dkocher

  • Milestone changed from 5.0 to 4.8.3
Note: See TracTickets for help on using tickets.
swiss made software